# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.1.0/),
and this project *loosely* adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).
The main difference is that the MAJOR.MINOR.PATCH system doesn't change the MAJOR indicator, as most version changes are NOT backwards compatible and the MINOR indicator will increase regardless of if that version can be played in an earlier update.
However, if the version update is a bug fix/patch/update that does NOT change the resourcepack or datapack format, and does NOT otherwise add anything, then the PATCH indicator will be updated accordingly.
TL;DR: This pretty much follows Mojang's update structure for Minecraft updates.

Anything noted as (Undocumented) is because I didn't write down the change at that time and can't remember what was added/removed/edited. Sorry.

Update numbers are written in YYYY/MM/DD format.

## [1.2.2] - 2025-02-14

### Added
#### Misc
- Added an `rmf:bg/setup` and `rmf:bg/update` function (background file)
  - The `rmf:bg/setup` function is designed to literally set up the datapack to prevent commands and scoreboards from not being loaded to players (and is now a part of the `rmf:load` function)
  - The `rmf:update` function's only job is to change the `rmf.version` variable each update, and other variables that may be necessary to alter
    - It catches the edgecase of someone updating the datapack (obviously) and not being able to re-trigger the entire setup function

#### Data & Misc
- Altered the name of the `info.txt` files in the datapack's files so they show up at the top of the list when sorted alphabetically

### Fixes
- [RMF-32](https://github.com/regfunkid/reg-more-foods/issues/32): The Mortar & Pestle doesn't work (for real this time)
- [RMF-34](https://github.com/regfunkid/reg-more-foods/issues/34): I've managed to find 2 "types" of beetroot seeds, and they don't stack
- [RMF-35](https://github.com/regfunkid/reg-more-foods/issues/35): Gourmand's Digest recipe images don't appear to render correctly on modded versions
- [RMF-36](https://github.com/regfunkid/reg-more-foods/issues/36): Strawberries don't appear in Forest Biomes
- [RMF-37](https://github.com/regfunkid/reg-more-foods/issues/37): Crafted Cleavers don't have Looting 2
- [RMF-38](https://github.com/regfunkid/reg-more-foods/issues/38): Melon Smoothies (and the "Shaken, Not Stirred advancement) have a broken texture
- [RMF-39](https://github.com/regfunkid/reg-more-foods/issues/39): Some Gourmand's Digest icon models cause mipmap issues 